<?php
 /**

 */

  date_default_timezone_set('America/Costa_Rica');

	include ("../conexion.php");

	$cdgart=$_GET["cdgart"];
	$horaactual = date("h:i:s A");

   
    $consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
		 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];
		 $tipimp = $fila["TIPIMP"];

	
   $consulta ="SELECT * FROM web_1001 WHERE cdgart='$cdgart'";
	  $result = $mysqli->query($consulta);
      $row = $result->fetch_array();

        $CDGBAR = $row["CDGBAR"];
   echo     $DSCART = $row["DSCART"];
        $PRE001 = $row["PRE001"];
        
		
 
$ip = $_SERVER["REMOTE_ADDR"];

if ($ip=="127.0.0.1"){

echo $puerto="LPT1";

  } else {
  
echo $puerto="LPT2";

  }  




if(($handle = @fopen($puerto, "w")) === FALSE){
        echo exec('Impresoras');

        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');






if ($tipimp=="MATRIX"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////



   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 



//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura = $tipofactura." CREDITO N  ".$numfactura;
	  $venfac = "Cajero: " . $cajero."   Vendedor:  " . $vendedor;  
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha

fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle, $venfac);

fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Articulo    "."          Cant."."       Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT * FROM factulinea WHERE codfactura='$codfactura'  ORDER BY numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
    echo    $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
	echo	$cantidad=number_format($cantidad,2,'.',',');
						
if ($impuesto > 0 ) { $impart=""; } else { $impart=""; }
  $sublin=$importe + $impuesto ;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 22);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 21);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 20);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 19);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//$resultado=number_format($subtotal,2,".",",");
//$sublin=sprintf("%13s",$resultado) ;
//fwrite($handle,"       Subtotal:  ");
//fwrite($handle,$sublin);
//
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//$total_desc=number_format($total_descuento,2,".",",");
//$descuento=sprintf("%13s",$total_desc) ;
//fwrite($handle,"       Descuento:  ");
//fwrite($handle, $descuento);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//$impuesto=number_format($impuesto_venta,2,".",",");
//$impuesto_venta=sprintf("%13s",$impuesto) ;
//fwrite($handle,"       I.V :  ");
//fwrite($handle, $impuesto_venta);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, "ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, "AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, "COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, "RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, "DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, "EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, "GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, "FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, "FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle,"________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


//
//
////////////////////////////////// 2 segunda copia del cliente ////////////////////////////////////////////////////////
//
//
////fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
//fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
//fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
//fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
//fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
//
//fwrite($handle, $nomcom);
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
////fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
////fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
//fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
//fwrite($handle, $razsoc);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"        Cedula : ". $cedjur);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, $diremp);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"  Tel. ".$numtel_empresa);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, $tipo_venta);
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
//fwrite($handle, chr(27). chr(97). chr(2));//derecha
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//	  $factura = str_pad("N. Factura: ".$numfactura, 23);
//	    $venfac = str_pad("Cajero: " . $vendedor , 23);
//fwrite($handle,$factura);
//fwrite($handle,"Fecha: ". $fecha);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(0));//izquierda
//fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
//fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
//fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(2));//derecha
//fwrite($handle, $venfac);
//fwrite($handle, $vencimiento);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
//fwrite($handle,"Articulo    "."          Cant."."       Precio");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
//fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//
// $sel_lineas="SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
//$rs_lineas=mysql_query($sel_lineas);
//						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
//							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
//							//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
//							//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
//							//$codarticulo=mysql_result($rs_lineas,$i,"codarticulo");
//						echo	$cdgbar=mysql_result($rs_lineas,$i,"cdgbar");
//						echo	$dscart=mysql_result($rs_lineas,$i,"dscart");
//						echo	$cantidad=mysql_result($rs_lineas,$i,"cantidad");
//						echo	$preivi=mysql_result($rs_lineas,$i,"preivi");
//						echo	$prenivi=mysql_result($rs_lineas,$i,"prenivi");
//						echo	$importe=mysql_result($rs_lineas,$i,"importe");
//						echo	$impuesto=mysql_result($rs_lineas,$i,"impuesto");
//						echo	$descuento=mysql_result($rs_lineas,$i,"mondes");
//					
//				echo	$subtotal=$subtotal + $importe;
//				echo	$impuesto_venta=$impuesto_venta + $impuesto;
//				echo	$total_descuento=$total_descuento + $descuento;
//					  
//						
//					if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
//$sublin=$importe + $impuesto;
//// formula inserta espacion ///
//
//$tamaño=strlen($cantidad);
//if($tamaño==4)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 22);
// $canart = str_pad($cantidad, 4); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
// 
// if($tamaño==5)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 21);
// $canart = str_pad($cantidad, 5); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
// 
//  if($tamaño==6)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 20);
// $canart = str_pad($cantidad, 6); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
// 
//   if($tamaño==7)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 19);
// $canart = str_pad($cantidad, 7); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
//  
//		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
//   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	
//
//
//   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//
//
//					
//					
//								
//				 } 
//				 
//				 
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
////$resultado=number_format($subtotal,2,".",",");
////$sublin=sprintf("%13s",$resultado) ;
////fwrite($handle,"       Subtotal:  ");
////fwrite($handle,$sublin);
//
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
////fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
////$total_desc=number_format($total_descuento,2,".",",");
////$descuento=sprintf("%13s",$total_desc) ;
////fwrite($handle,"       Descuento:  ");
////fwrite($handle, $descuento);
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
////$impuesto=number_format($impuesto_venta,2,".",",");
////$impuesto_venta=sprintf("%13s",$impuesto) ;
////fwrite($handle,"       I.V :  ");
////fwrite($handle, $impuesto_venta);
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//
//
//$total=sprintf("%13s",$total_neto) ;
//
//fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
//fwrite($handle,"TOTAL NETO:  ");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $total);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
//
//
//
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, $numofi  );
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, "----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"   (E) Exento - (G) Gravado ( I.V.I )"  );
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
////fwrite($handle,$horaactual);
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"Gracias Por Preferirnos"  );
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
//fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel / 1 SOLO CORTE




 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////
 
 
 //fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CONTADO N  ".$numfactura;
		  $venfac = "Cajero: " . $cajero."   Vendedor:  " . $vendedor;  
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha

fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle, $venfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Articulo    "."          Cant."."       Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT * FROM factulinea WHERE codfactura='$codfactura'  ORDER BY numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
    echo    $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
	echo	$cantidad=number_format($cantidad,2,'.',',');
						
if ($impuesto > 0 ) { $impart=""; } else { $impart=""; }
  $sublin=$importe + $impuesto ;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 22);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 21);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 20);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 19);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//$resultado=number_format($subtotal,2,".",",");
//$sublin=sprintf("%13s",$resultado) ;
//fwrite($handle,"       Subtotal:  ");
//fwrite($handle,$sublin);
//
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//$total_desc=number_format($total_descuento,2,".",",");
//$descuento=sprintf("%13s",$total_desc) ;
//fwrite($handle,"       Descuento:  ");
//fwrite($handle, $descuento);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//$impuesto=number_format($impuesto_venta,2,".",",");
//$impuesto_venta=sprintf("%13s",$impuesto) ;
//fwrite($handle,"       I.V :  ");
//fwrite($handle, $impuesto_venta);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto) ;
fwrite($handle,"Paga con:  ");
fwrite($handle,$pagado);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio) ;
fwrite($handle,"Vuelto:  ");
fwrite($handle,$saldo);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
//fwrite($handle,$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


} 

}//**********************************  Cierra tipo de impresora MATRIX ****************************************//










	if ($tipimp=="BEMANTECH"){  //  ************************Si la impresora es TIPO TERMICA ****************************///////////////


fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012



fwrite($handle, chr(27). chr(97). chr(1));//centrado


fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(1));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  $DSCART);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "CODIGO:  ".$CDGBAR);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
$PRE001=number_format($PRE001,2,".",",");
fwrite($handle, " ₡ ".$PRE001);

	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel


}//**********************************  Cierra tipo de impresora TERMICA ****************************************//
















	
if ($tipimp=="BEMANTECHTERMI"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////



   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 



//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON


fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura ="FACT. DE CREDITO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Articulo              "."                 Cant."."     Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
        $cantidad=number_format($cantidad,2,'.',',');
						
if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
   $sublin=$importe;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 38);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 37);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 36);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 35);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, "ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, "AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, "COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, "RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, "DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, "EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, "GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, "FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, "FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle,"_____________________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"       (E) Exento - (G) Gravado        "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel




//////////////////////////////// 2 segunda copia del cliente ////////////////////////////////////////////////////////


//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"  Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CREDITO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Articulo              "."                 Cant."."     Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$subtotal=0;
$impuesto_venta=0;
$total_descuento=0;
$total==0;
$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
        $cantidad=number_format($cantidad,2,'.',',');
						
if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
   $sublin=$importe;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 38);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 37);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 36);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 35);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");

fwrite($handle, chr(27). chr(97). chr(1));//centrado

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado     "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel / 1 SOLO CORTE




 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////
 
 
 //fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON

fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CONTADO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Articulo              "."                 Cant."."     Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

	
$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
							
					
				echo	$subtotal=$subtotal + $importe;
				echo	$impuesto_venta=$impuesto_venta + $impuesto;
				echo	$total_descuento=$total_descuento + $descuento;
					    $total=$subtotal-$total_descuento+$impuesto_venta;
						$cantidad=number_format($cantidad,2,'.',',');
						$total=round($total);
						
					if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
   $sublin=$importe;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 38);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 37);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 36);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 35);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto) ;
fwrite($handle,"Paga con:  ");
fwrite($handle,$pagado);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio) ;
fwrite($handle,"Vuelto:  ");
fwrite($handle,$saldo);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
//fwrite($handle,$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


} 

}//**********************************  Cierra tipo de impresora MATRIX ****************************************//	
		 
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN
//echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

?>

 